[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TResourceCollection.PutItem

Write an item to the stream.

## Declaration

Source position: objects.pp line 500

`procedure TResourceCollection.PutItem(`
`var S: TStream;`
`Item: Pointer`
`); virtual;`

## Description

PutItem writes Item to the stream S. It does this by writing the position and size and name of the resource item to the stream.

This method is used primarily by the Store method.

## Errors

Errors returned are those by TStream.Write.

## See also

TCollection.Store |  | Write collection to a stream.